using SecureShopDataModels.Enums;
using SecureShopDataModels.Models;
using System.ComponentModel;

namespace SecureShopContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }

        public int SecureId { get; set; }

        [DisplayName("Система безопасности")]
        public string SecureName { get; set; } = string.Empty;

        public int? ImplementerId { get; set; }
        [DisplayName("Исполнитель")]
        public string? ImplementerFIO { get; set; } = string.Empty;

        [DisplayName("Количество")]
        public int Count { get; set; }

        public int ClientId { get; set; }
        [DisplayName("Клиент")]
        public string ClientFIO { get; set; } = string.Empty;


        [DisplayName("Сумма")]
        public double Sum { get; set; }

        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}